Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Use PHPUnit 8.3 on Travis when possible #33072

Closed
wants to merge 1 commit into from

Conversation

@nicolas-grekas
Copy link
Member

commented Aug 8, 2019

Q A
Branch? 3.4
Bug fix? no
New feature? no
BC breaks? no
Deprecations? no
Tests pass? yes
Fixed tickets -
License MIT
Doc PR -

We just achieved running PHPUnit 8.2 on PHP 7.4, let's ensure it continues running by using it on a primary job.

@nicolas-grekas nicolas-grekas added this to the 3.4 milestone Aug 8, 2019

@Tobion

Tobion approved these changes Aug 8, 2019

@nicolas-grekas nicolas-grekas force-pushed the nicolas-grekas:phpunit8 branch 2 times, most recently from fcb3edf to ea25756 Aug 8, 2019

@nicolas-grekas nicolas-grekas changed the title Use PHPUnit 8.2 on Travis when possible Use PHPUnit 8.3 on Travis when possible Aug 8, 2019

@fabpot

fabpot approved these changes Aug 9, 2019

@jderusse

This comment has been minimized.

Copy link
Contributor

commented Aug 9, 2019

test are failing because of prefer-lowest, and TestCase extends other package AbsatractTest

in Bundle/FrameworkBundle minimum version of symfony/http-kernel should be 3.4@dev (next release)
in /Bridge/Twig minimum version of symfony/form should be 3.4@dev
in / minimum version of symfony/phpunit-bridge should be 3.4@dev

we may hold this PR untill the next release in order to properly set the mimum version

@nicolas-grekas

This comment has been minimized.

Copy link
Member Author

commented Aug 9, 2019

we may hold this PR untill the next release in order to properly set the mimum version

this is never needed, we do reference unreleased next-versions and it just works

nicolas-grekas added a commit that referenced this pull request Aug 9, 2019

minor #33079 Use PHPUnit 8.3 on Travis when possible (nicolas-grekas,…
… jderusse)

This PR was merged into the 3.4 branch.

Discussion
----------

Use PHPUnit 8.3 on Travis when possible

| Q             | A
| ------------- | ---
| Branch?       | 3.4
| Bug fix?      | yes
| New feature?  | no
| BC breaks?    | no
| Deprecations? | no
| Tests pass?   | yes
| Fixed tickets | -
| License       | MIT
| Doc PR        | -

Followup #33072 to fix dependency resolution

Commits
-------

41d94c3 Bump minimal requirements
de5256b Use PHPUnit 8.3 on Travis when possible

@nicolas-grekas nicolas-grekas force-pushed the nicolas-grekas:phpunit8 branch from ea25756 to 6da6dd7 Aug 10, 2019

@nicolas-grekas nicolas-grekas force-pushed the nicolas-grekas:phpunit8 branch from 6da6dd7 to feac9d5 Aug 10, 2019

@nicolas-grekas nicolas-grekas deleted the nicolas-grekas:phpunit8 branch Aug 10, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
5 participants
You can’t perform that action at this time.